Version: 0.85rc1
Release: alt1
Name: emacs-mule-ucs
License: GPL
Group: Editors
Url: ftp://ftp.m17n.org/pub/
Summary: Universal enCoding System for Emacs
Summary(ru_RU.KOI8-R):     Emacs
Requires: emacs-common
Source: Mule-UCS-%version.tar.gz
Source1: mule-ucs-emacs.el

BuildArch: noarch

# Automatically added by buildreq on Thu Jul 26 2002
BuildRequires: emacs-common

%description
Mule-UCS is an Emacs Lisp library to define encoding/decoding schemes by
rather simple translation rules.

All Emacs Lisp code is byte-copmpiled, install %name-el for sources.

%description -l ru_RU.KOI8-R
Mule-UCS --   Emacs Lisp   
/     .

   Emacs Lisp ,     
 %name-el

%package el
Summary: The Emacs Lisp sources for bytecode included in %name
Group: Development/Other
Requires: %name = %version-%release

%description el
%name-el contains the Emacs Lisp sources for the bytecode
included in the %name package, that extends the Emacs editor.

You need to install %name-el only if you intend to modify any of the
%name code or see some Lisp examples.

%description el -l ru_RU.KOI8-R
 %name-el      %name, 
    Emacs.

%name-el   ,     
  %name,     .

%prep
%setup -n Mule-UCS-current

%build
emacs -q --no-site-file -batch -l mucs-comp.el

%install
mkdir -p %buildroot%_emacslispdir/mule-ucs/
install -m 644 lisp/*.el* %buildroot%_emacslispdir/mule-ucs/
cp -R lisp/reldata lisp/big5conv lisp/jisx0213 %buildroot%_emacslispdir/mule-ucs/

mkdir -p %buildroot/etc/emacs/site-start.d
install -m 644 %SOURCE1 %buildroot/etc/emacs/site-start.d/mule-ucs.el

%files
%doc ChangeLog lisp/README* lisp/MuleUni.txt lisp/type.txt
%_emacslispdir/mule-ucs/*.elc
%dir %_emacslispdir/mule-ucs/reldata/
%_emacslispdir/mule-ucs/reldata/*
%dir %_emacslispdir/mule-ucs/big5conv/
%_emacslispdir/mule-ucs/big5conv/*
%dir %_emacslispdir/mule-ucs/jisx0213/
%_emacslispdir/mule-ucs/jisx0213/*
%config(noreplace) /etc/emacs/site-start.d/*

%files el
%_emacslispdir/mule-ucs/*.el

%changelog
* Tue Apr 08 2003 Ott Alex <ott@altlinux.ru> 0.85rc1-alt1
- Initial build for ALTLinux

